module(...)
--auto generate data
PartnerBookConfig={
	[301]={depth=43,direct=2,h=350,rare=1,shape=301,w=257,x=436,y=30,},
	[302]={depth=20,direct=1,h=298,rare=1,shape=302,w=85,x=105,y=-124,},
	[303]={
		depth=25,
		direct=1,
		h=386,
		rare=1,
		shape=303,
		w=319,
		x=-579,
		y=-138,
	},
	[305]={depth=6,direct=2,h=457,rare=2,shape=305,w=445,x=399,y=-132,},
	[306]={
		depth=7,
		direct=1,
		h=395,
		rare=2,
		shape=306,
		w=211,
		x=-198,
		y=-113,
	},
	[308]={
		depth=46,
		direct=2,
		h=383,
		rare=1,
		shape=308,
		w=331,
		x=598,
		y=-127,
	},
	[311]={
		depth=19,
		direct=1,
		h=335,
		rare=1,
		shape=311,
		w=340,
		x=-441,
		y=-170,
	},
	[312]={
		depth=27,
		direct=2,
		h=244,
		rare=1,
		shape=312,
		w=206,
		x=-228,
		y=-191,
	},
	[313]={depth=16,direct=2,h=336,rare=1,shape=313,w=351,x=161,y=-64,},
	[314]={
		depth=11,
		direct=2,
		h=320,
		rare=1,
		shape=314,
		w=301,
		x=-182,
		y=-38,
	},
	[315]={depth=8,direct=1,h=440,rare=2,shape=315,w=427,x=-2,y=-97,},
	[316]={
		depth=18,
		direct=2,
		h=353,
		rare=1,
		shape=316,
		w=180,
		x=-345,
		y=-129,
	},
	[401]={
		depth=43,
		direct=1,
		h=523,
		rare=1,
		shape=401,
		w=329,
		x=-571,
		y=-35,
	},
	[402]={
		depth=17,
		direct=1,
		h=278,
		rare=1,
		shape=402,
		w=320,
		x=350,
		y=-161,
	},
	[403]={
		depth=47,
		direct=1,
		h=403,
		rare=1,
		shape=403,
		w=282,
		x=-162,
		y=-54,
	},
	[404]={
		depth=54,
		direct=2,
		h=319,
		rare=1,
		shape=404,
		w=310,
		x=357,
		y=-167,
	},
	[405]={depth=5,direct=2,h=323,rare=2,shape=405,w=406,x=182,y=14,},
	[407]={
		depth=26,
		direct=1,
		h=214,
		rare=1,
		shape=407,
		w=407,
		x=-27,
		y=-187,
	},
	[409]={
		depth=21,
		direct=1,
		h=273,
		rare=1,
		shape=409,
		w=198,
		x=157,
		y=-189,
	},
	[410]={
		depth=49,
		direct=1,
		h=404,
		rare=1,
		shape=410,
		w=184,
		x=-336,
		y=-20,
	},
	[412]={
		depth=48,
		direct=1,
		h=352,
		rare=1,
		shape=412,
		w=281,
		x=-429,
		y=-135,
	},
	[413]={depth=55,direct=1,h=260,rare=1,shape=413,w=214,x=13,y=-185,},
	[414]={depth=51,direct=2,h=259,rare=1,shape=414,w=385,x=79,y=-33,},
	[415]={
		depth=55,
		direct=1,
		h=232,
		rare=1,
		shape=415,
		w=167,
		x=206,
		y=-198,
	},
	[416]={depth=53,direct=1,h=273,rare=1,shape=416,w=261,x=326,y=9,},
	[417]={
		depth=51,
		direct=1,
		h=273,
		rare=1,
		shape=417,
		w=235,
		x=-149,
		y=-176,
	},
	[418]={depth=9,direct=1,h=193,rare=2,shape=418,w=153,x=182,y=-209,},
	[501]={depth=40,direct=1,h=429,rare=1,shape=501,w=286,x=-511,y=76,},
	[502]={depth=50,direct=1,h=338,rare=1,shape=502,w=413,x=167,y=19,},
	[503]={depth=22,direct=1,h=359,rare=1,shape=503,w=268,x=545,y=103,},
	[504]={
		depth=23,
		direct=1,
		h=359,
		rare=1,
		shape=504,
		w=268,
		x=522,
		y=-141,
	},
	[505]={depth=14,direct=2,h=317,rare=1,shape=505,w=427,x=401,y=-41,},
	[506]={depth=15,direct=2,h=379,rare=1,shape=506,w=385,x=-399,y=22,},
	[507]={
		depth=50,
		direct=1,
		h=328,
		rare=1,
		shape=507,
		w=252,
		x=-262,
		y=-114,
	},
	[508]={
		depth=24,
		direct=1,
		h=339,
		rare=1,
		shape=508,
		w=293,
		x=450,
		y=-166,
	},
	[509]={depth=12,direct=2,h=266,rare=1,shape=509,w=391,x=384,y=136,},
	[510]={depth=3,direct=2,h=427,rare=2,shape=510,w=457,x=-600,y=-40,},
	[511]={
		depth=4,
		direct=1,
		h=285,
		rare=2,
		shape=511,
		w=244,
		x=-371,
		y=-186,
	},
	[512]={depth=2,direct=2,h=466,rare=2,shape=512,w=492,x=573,y=69,},
	[513]={depth=41,direct=2,h=351,rare=1,shape=513,w=333,x=551,y=65,},
	[514]={
		depth=13,
		direct=1,
		h=414,
		rare=1,
		shape=514,
		w=378,
		x=-614,
		y=102,
	},
	[515]={
		depth=13,
		direct=1,
		h=414,
		rare=1,
		shape=515,
		w=378,
		x=-614,
		y=102,
	},
	[516]={
		depth=13,
		direct=1,
		h=414,
		rare=1,
		shape=516,
		w=378,
		x=-614,
		y=102,
	},
	[517]={
		depth=13,
		direct=1,
		h=414,
		rare=1,
		shape=517,
		w=378,
		x=-614,
		y=102,
	},
	[518]={
		depth=13,
		direct=1,
		h=414,
		rare=1,
		shape=518,
		w=378,
		x=-614,
		y=102,
	},
}
